aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/prepare-ctemplate-ios.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/prepare-ctemplate-ios.sh')
-rwxr-xr-xscripts/prepare-ctemplate-ios.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/scripts/prepare-ctemplate-ios.sh b/scripts/prepare-ctemplate-ios.sh
index 50521f57..5185cb98 100755
--- a/scripts/prepare-ctemplate-ios.sh
+++ b/scripts/prepare-ctemplate-ios.sh
@@ -2,7 +2,14 @@
url="https://github.com/dinhviethoa/ctemplate"
-sdkversion="6.1"
+if xcodebuild -showsdks|grep iphoneos6.1 >/dev/null ; then
+ sdkversion=6.1
+elif xcodebuild -showsdks|grep iphoneos7.0 >/dev/null ; then
+ sdkversion=7.0
+else
+ echo SDK not found
+ exit 1
+fi
pushd `dirname $0` > /dev/null
scriptpath=`pwd`